> ## Documentation Index
> Fetch the complete documentation index at: https://developers.super.work/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom content

> List custom content ids from Super usage.



## OpenAPI

````yaml get /super/index
openapi: 3.0.0
info:
  title: Public Super api
  version: '1'
  description: Run super queries, digests, index and manage custom sources.
  license:
    name: private
  contact:
    name: Slite
servers:
  - url: https://api.super.work/v1
security: []
paths:
  /super/index:
    get:
      summary: List custom content
      description: List custom content ids from Super usage.
      operationId: super-list-index
      parameters:
        - description: >-
            Root id of the object to gather sources from. This should be created
            from the UI as a new custom data source.
          in: query
          name: rootId
          required: true
          schema:
            type: string
        - description: Used to perform pagination on search
          in: query
          name: page
          required: false
          schema:
            $ref: '#/components/schemas/ListPage'
        - description: Specify how many notes to return per page
          in: query
          name: hitsPerPage
          required: false
          schema:
            $ref: '#/components/schemas/ListHitsPerPage'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResult'
              examples:
                Example 1:
                  value:
                    nbPages: 2
                    page: 0
                    hits:
                      - title: Onboarding
                        url: https://slite.slite.page/p/S1TSuHnZf/Security-at-Slite
                        id: S1TSuHnZf
                        updatedAt: '2021-01-01T00:00:00.000Z'
        '401':
          description: Invalid authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiAuthError'
        '402':
          description: >-
            This feature is disabled for your organization. Please contact
            support.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiDisabledError'
        '404':
          description: Data source not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiNotFoundError'
        '422':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiFieldValidationError'
        '429':
          description: Rate limitation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiRateLimitError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
      security:
        - api_key: []
          bearer: []
components:
  schemas:
    ListPage:
      type: integer
      format: int32
      minimum: 0
    ListHitsPerPage:
      type: integer
      format: int32
      minimum: 1
      maximum: 100
    ListResult:
      properties:
        hits:
          items:
            $ref: '#/components/schemas/Source'
          type: array
        nbPages:
          type: number
          format: double
          description: Total number of pages for the current query
        page:
          type: number
          format: double
          description: Current page number of the search pagination
      required:
        - hits
        - nbPages
        - page
      type: object
    PublicApiAuthError:
      properties:
        message:
          type: string
          enum:
            - Invalid apiKey
          nullable: false
        id:
          type: string
          enum:
            - auth/unauthorized
          nullable: false
      required:
        - message
        - id
      type: object
    PublicApiDisabledError:
      properties:
        message:
          type: string
          enum:
            - >-
              This feature is disabled for your organization. Please contact
              support.
          nullable: false
        id:
          type: string
          enum:
            - askx-disabled
          nullable: false
      required:
        - message
        - id
      type: object
    PublicApiNotFoundError:
      properties:
        message:
          type: string
          enum:
            - Data source not found.
          nullable: false
        id:
          type: string
          enum:
            - root-id-not-found
          nullable: false
      required:
        - message
        - id
      type: object
    PublicApiFieldValidationError:
      properties:
        details:
          $ref: '#/components/schemas/FieldErrors'
        message:
          type: string
          enum:
            - Validation Failed
          nullable: false
        id:
          type: string
          enum:
            - field-validation
          nullable: false
      required:
        - message
        - id
      type: object
    PublicApiRateLimitError:
      properties:
        message:
          type: string
          enum:
            - You've reached the api rate limit. Please wait and retry later.
          nullable: false
        id:
          type: string
          enum:
            - rate-limit
          nullable: false
      required:
        - message
        - id
      type: object
    PublicApiError:
      properties:
        message:
          type: string
        id:
          type: string
      required:
        - message
        - id
      type: object
    Source:
      properties:
        explanation:
          type: string
          description: For super, gives explanation about the source
        updatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: string
          description: Date of the last update of the note
        url:
          type: string
          description: Url of the note
        title:
          type: string
          description: Title of the note
        id:
          type: string
          description: Id of the note
      required:
        - updatedAt
        - url
        - title
        - id
      type: object
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
  securitySchemes:
    bearer:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://example.com/oauth/authorize
          tokenUrl: https://example.com/oauth/token
          scopes: {}

````